Name:           qtoctave
Version:        0.10.1
Release:        17%{?dist}
Summary:        Frontend for Octave

Group:          Applications/Engineering
License:        GPLv2
URL:            http://qtoctave.wordpress.com/
Source0:        http://forja.rediris.es/frs/download.php/2054/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel >= 4.6.0
BuildRequires:  octave-devel >= 3.2.0
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
Requires:       octave >= 3.2.0
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

# place qtoctave_doc and qtoctave-utils in qtoctave datadir
Patch0:         qtoctave-doc-path.patch
# fix *.m filters in file dialogs (debian#620062, patch by Sébastien Villemot)
Patch1:         qtoctave-0.10.1-filedialog-filters.patch
# fix crash when closing a dock tool within the first 5 seconds (#722986)
# (a NULL pointer dereference caused by a race condition between the user
# closing the tool and the timer setting the initial positions, prevented by
# using a QWeakPointer<QWidget> instead of a raw QWidget *)
Patch2:         qtoctave-0.10.1-initialposition.patch
# fix Octave help not working (#737297)
# (system(command, 1, "async"); is nonsense, use system(command, 0, "async");)
Patch3:         qtoctave-0.10.1-qtinfo.patch

%description
QtOctave is a frontend for Octave based on Qt4.

%prep
%setup -q
%patch0 -p1 -b .doc-path
%patch1 -p1 -b .filedialog-filters
%patch2 -p1 -b .initialposition
%patch3 -p1 -b .qtinfo

sed -i 's|"lrelease"|"lrelease-qt4"|g' qtoctave/src/CMakeLists.txt

find xmlwidget/qt4/src/ -type f -exec chmod a-x {} \;
find easy_plot/src/ -type f -exec chmod a-x {} \;


%build
%cmake -DCMAKE_C_FLAGS_RELEASE:STRING="-DNDEBUG"        \
       -DCMAKE_CXX_FLAGS_RELEASE:STRING="-DQT_NO_DEBUG" \
       -DCMAKE_SKIP_RPATH:STRING="ON"                   \
       .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications \
%if 0%{?fedora} && 0%{?fedora} < 19
                     --vendor "fedora" \
%endif
                     --delete-original \
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc readme.txt LICENSE_GPL.txt
%{_bindir}/%{name}
%{_bindir}/easy_plot
%{_bindir}/qtoctave-info-reader
%{_bindir}/qtjs
%{_bindir}/qtoctave_pkg
%{_bindir}/simplercs
%{_bindir}/xmlwidget
%{_datadir}/%{name}
%if 0%{?fedora} && 0%{?fedora} < 19
%{_datadir}/applications/fedora-qtoctave.desktop
%else
%{_datadir}/applications/qtoctave.desktop
%endif
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%exclude %{_datadir}/doc/octave-html

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.10.1-14
- iRemove --vendor from desktop-file-install for F19 https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-11
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-9
- rebuild against fixed glibc headers in Rawhide

* Wed Oct 19 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-8
- rebuild against fixed Qt headers in Rawhide

* Thu Oct  6 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-7
- fix Octave help not working (#737297)

* Thu Oct  6 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-6
- fix crash when closing a dock tool within the first 5 seconds (#722986)

* Thu Oct  6 2011 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.10.1-4
- fix *.m filters in file dialogs (debian#620062, patch by Sébastien Villemot)

* Fri Apr  8 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.1-3
- require qt4 version used at build time

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Feb  6 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.1-1
- update to 0.10.1

* Sun May  9 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.9.1-2
- qtinfo renamed to qtoctave-info (#590357)

* Fri Apr  2 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.9.1-1
- update to 0.9.1

* Thu Jan 28 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.8.2-2
- fixed BR qt4-devel >= 4.5.0, octave-devel >= 3.2.0

* Thu Jan 28 2010 Alexey Kurov <nucleo@fedoraproject.org> - 0.8.2-1
- update to 0.8.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-0.20080826.svn165
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar 06 2009 Caolán McNamara <caolanm@redhat.com> - 0.8.1-0.20080825.svn165
- add stdio.h for printf

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-0.20080824.svn165
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 14 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.8.1-0.20080823.svn165
- bump to svn version pre 0.8.1
- fixes on icon and desktop file

* Sat May 24 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.4-3
- fixed SOURCE1 setup

* Mon May 12 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.4-2
- new GPLv2 icon

* Thu May 01 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.4-1
- update to 0.7.4
- removed autodetected qt4 requirement
- changed cmake options to avoid rpaths
- fixed wrong permissions in the source tree

* Mon Apr 07 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.3-3.fc8
- deleted useless post and postun scripts
- fixed issues in install section
- fixed wrong compilation flags
- license is GPLv2

* Sun Mar 30 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.3-2.fc8
- sync with 0.7.3 package released on official blog
- fixed silly errors with cmake macro

* Tue Mar 25 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.3-1.139.20080425svn.fc8
- Update to svn version 0.7.3
- Bump to cmake

* Sun Mar 23 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.7.1-1.fc8
- First release
